function  odebrat_bod( varargin )

global Data poz count_car
X = Data(1).x;
Y = Data(1).y;
Hrana=5;
%interaktivni vyber bodu pro odebrani
[X1 Y1] = ginput(1)

%vyber souradnic vsech bodu z vektoru krajnich bodu
X=X(poz);
Y=Y(poz);
%euklidovska vzdalenost pro vsechny body
E = sqrt((X-X1).^2 + (Y-Y1).^2);
%vyber bodu s nejmensi euklidovskou vzdalenosti
[p2 p3] = min(E);

%odstraneni vybraneho bodu z vektoru vsech krajnich bodu
poz(p3)=[];
hold off

%nove vykresleni vsech aktualnich bodu a obrazce
cla
X = Data(1).x;
Y = Data(1).y;

%osetreni pro vykresleni jen potrebneho poctu bodu v pripade vyuziti v
%postupnem vykreslovani a nasledne vykresleni krajnich bodu
if count_car>1
plot(X(1:poz(count_car)),Y(1:poz(count_car)),'.')
hold on
for j=1:count_car-1
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
end
else
plot(X,Y,'.')
hold on
 for j=1:length(poz)
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
 end
end

end

